#!/bin/bash
set -e

# -----------------------------------------------------------------------------
# User input
# -----------------------------------------------------------------------------
# Expected args:
#   $1  runId
# -----------------------------------------------------------------------------

runId=$1
echo "Starting $runId"

# -----------------------------------------------------------------------------
# Go to run directory
# -----------------------------------------------------------------------------

CURRENT_DIR=`dirname "$0"`
cd $CURRENT_DIR

# -----------------------------------------------------------------------------
# Run ParFlow
# -----------------------------------------------------------------------------

tclsh run.tcl $runId
echo "ParFlow Run Complete"

# -----------------------------------------------------------------------------
# Run EcoSLIM for particle tracking
# -----------------------------------------------------------------------------

export OMP_NUM_THREADS=2

FILE=./slimin.txt
if [[ -f "$FILE" ]]; then
  echo "Staring EcoSLIM"
  $ECOSLIM_EXEC
  echo "EcoSLIM Run Complete"
fi

# -----------------------------------------------------------------------------
# Need to sleep in order to detect completion
# -----------------------------------------------------------------------------

echo "Complete All"
